Bug 885143 - [PATCH] nikto should not rpm-provide perl(JSON*)
Summary: [PATCH] nikto should not rpm-provide perl(JSON*)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nikto
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 15:26 UTC by Paul Howarth
Modified: 2015-01-09 18:30 UTC (History)
2 users (show)

Fixed In Version: nikto-2.1.5-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-09 18:30:06 UTC
Type: Bug


Attachments (Terms of Use)
Patch against rawhide nikto package to fix this problem (1.30 KB, patch)
2012-12-07 15:26 UTC, Paul Howarth
no flags Details | Diff

Description Paul Howarth 2012-12-07 15:26:30 UTC
Created attachment 659467 [details]
Patch against rawhide nikto package to fix this problem

The nikto package "provides" the perl modules perl(JSON::PP) and perl(JSON::backportPP::Boolean) due to its bundling of the JSON::PP module in %{_datadir}/nikto/plugins/JSON-PP.pm; this may lead to it being pulled in to satisfy dependencies of packages requiring these modules, though it doesn't actually satisfy those dependencies because the implementation is not in the perl search path. These provides should be filtered, e.g. using the attached patch.

This issue also affects F-17; I haven't checked F-16 or F-18 but I'd expect it to manifest there too.

Comment 1 Paul Howarth 2013-01-17 10:39:00 UTC
I've fixed this myself in Rawhide (which scratches my itch), but it's still broken in F-18 and F-17.

Comment 2 Michal Ambroz 2013-02-02 23:22:15 UTC
Thank you.
Pushing the changes to F18.

Comment 3 Fedora End Of Life 2013-04-03 16:59:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Fedora End Of Life 2015-01-09 17:31:02 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Paul Howarth 2015-01-09 18:30:06 UTC
Fixed long ago in F-19.


Note You need to log in before you can comment on or make changes to this bug.